org.eclipse.wst.jsdt.chromium.wip.eclipse

## Class BackendRegistry

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.wip.eclipse.BackendRegistry

    public class BackendRegistry
    extends java.lang.Object

A helper class that fetches all available implementations of `WipBackend` using Eclipse framework.

### Field Summary

Fields
`static BackendRegistry` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`BackendRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<? extends WipBackend>` `getBackends()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final BackendRegistry INSTANCE

### Constructor Detail

#### BackendRegistry

    public BackendRegistry()

### Method Detail

#### getBackends

    public java.util.List<? extends WipBackend> getBackends()